%global momorel 6
%global hal_info_version        20070402
%global md5sum_src0 a6f532770cf9286e1de38d6570cbc6bc

%global expat_version           1.95.8
%global glib_version            2.8.3
%global dbus_version            1.0.2
%global dbus_glib_version	0.70
%global pygtk                   2.6.0
%global gnome_python            2.6.0
%global udev_version            106
%global util_linux_version      2.13
%global initscripts_version     8.04
%global kernel_version          2.6.20
%global gettext_version         0.14.1
%global libusb_version          0.1.10a
%global pciutils_version        2.2.1
%global dmidecode_version       2.7
%global cryptsetup_luks_version 1.0.1
%global pm_utils_version        0.10
%global gtk_doc_version         1.7
%global consolekit_version      0.2.0
%global acl_version             2.2.39

%global hal_user_uid            68

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.9
Release: %{momorel}m%{?dist}
License: "AFL/GPL"
Group: System Environment/Libraries
URL: http://www.freedesktop.org/Software/hal
%NoSource 0 http://freedesktop.org/~david/dist/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: %{name}-device-manager.desktop
Patch0: %{name}-%{version}-fixes.patch
# (fc) 0.5.8.1-6mdv allow "uid" for NTFS partitions (SUSE)
Patch20: %{name}-allow_uid_for_ntfs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig, initscripts, shadow-utils
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-info
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: dbus-devel   = %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel
BuildRequires: hwdata
BuildRequires: gettext >= %{gettext_version}
BuildRequires: perl-XML-Parser
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: libvolume_id-devel >= %{udev_version}
BuildRequires: pciutils-devel >= %{pciutils_version}
BuildRequires: xmlto
%ifarch %{ix86} x86_64 ia64
BuildRequires: libsmbios-devel
%endif
%ifnarch s390 s390x
BuildRequires: libusb-devel >= %{libusb_version}
%endif
Requires: dbus = %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib_version}
Requires: udev >= %{udev_version}
Requires: libvolume_id >= %{udev_version}
Requires: util-linux >= %{util_linux_version}-7m
Requires: initscripts >= %{initscripts_version}
# Requires: cryptsetup-luks >= %{cryptsetup_luks_version}
%ifnarch s390 s390x
Requires: pm-utils >= %{pm_utils_version}
%endif
Requires: kernel >= %{kernel_version}
%ifnarch s390 s390x
Requires: libusb >= %{libusb_version}
%endif
%ifarch %{ix86} x86_64
Requires: dmidecode >= %{dmidecode_version}
%endif
## too early
# Requires: ConsoleKit >= %{consolekit_version}
# Requires: acl >= %{acl_version}

%description
HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.

%package libs
Summary: Libraries for accessing HAL
Group: Development/Libraries
Requires: dbus >= %{dbus_version}

%description libs
Libraries for accessing HAL.

%package gnome
Summary: GNOME based device manager for HAL
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-python >= %{dbus_python_version}
Requires: pygtk2 >= %{pygtk} 
Requires: gnome-python2 >= %{gnome_python}

%description gnome
GNOME program for displaying the devices detected by HAL

%package devel
Summary: Libraries and headers for HAL
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel = %{dbus_version}
Requires: pkgconfig

%description devel
Headers, static libraries and API docs for HAL.

%prep
%setup -q

%patch0 -p1 -b .fixes

# from cooker
%patch20 -p1 -b .allow_uid_for_nfts

%build
%configure \
    --with-os-type=redhat \
    --disable-policy-kit \
    --enable-umount-helper \
    --enable-acpi-ibm \
    --enable-acpi-toshiba \
    --with-eject=/usr/sbin/eject \
    --enable-docbook-docs \
    --docdir=%{_docdir}/%{name}-%{version}

%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} initddir=%{_sysconfdir}/init.d

# for doc
install -m 644 AUTHORS COPYING ChangeLog HACKING NEWS README %{buildroot}%{_docdir}/%{name}-%{version}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%pre
# Add the "haldaemon" user
/usr/sbin/useradd -c 'HAL daemon' -u %{hal_user_uid} \
	-s /sbin/nologin -r -d '/' haldaemon 2> /dev/null || :

%post
/sbin/chkconfig --add haldaemon

%preun
if [ $1 = 0 ]; then
    /sbin/service haldaemon stop > /dev/null 2>&1
    /sbin/chkconfig --del haldaemon
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service haldaemon condrestart > /dev/null 2>&1
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/ChangeLog
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/spec
%{_sysconfdir}/dbus-1/system.d/hal.conf
%{_sysconfdir}/hal
%config %{_sysconfdir}/init.d/haldaemon
%{_sysconfdir}/udev/rules.d/90-hal.rules
/sbin/umount.hal
%{_bindir}/hal-device
%{_bindir}/hal-disable-polling
%{_bindir}/hal-find-by-capability
%{_bindir}/hal-find-by-property
%{_bindir}/hal-get-property
%{_bindir}/hal-is-caller-locked-out
%{_bindir}/hal-lock
%{_bindir}/hal-set-property
%{_bindir}/lshal
%{_libdir}/hal
%{_libexecdir}/hal*
%{_sbindir}/hald
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%{_datadir}/hal/fdi/*
%{_datadir}/locale/*/LC_MESSAGES/*mo
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%attr(0750,haldaemon,haldaemon) %dir %{_var}/cache/hald

%files libs
%defattr(-,root,root)
%{_libdir}/*hal*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/hal
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/gtk-doc/html/libhal
%{_datadir}/gtk-doc/html/libhal-storage

%files gnome
%defattr(-,root,root)
%{_bindir}/hal-device-manager
%{_datadir}/applications/hal-device-manager.desktop
%{_datadir}/hal/device-manager

%changelog
* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-6m)
- BuildRequires: libsmbios-devel

* Sat Apr 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-5m)
- add /var/cache/hald

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-4m)
- go to trunk from T4R
- good-bye ConsoleKit
- unset --enable-console-kit and --enable-acl-management
- set --disable-policy-kit again
- Requires: util-linux >= 2.13-7m

* Thu Apr 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-3m)
- update hal-0.5.9-fixes.patch and remove firewire-ioctl-changes.patch
 +* Wed Apr 25 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-6
 +- Pick up the latest fixes from 0.5.9 stable branch
 +- Resolves: #237871 (pass correct quirks)

* Tue Apr 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-2m)
- change eject from /usr/bin/eject to /usr/sbin/eject
- remove hal-info and Requires: hal-info
- import firewire-ioctl-changes.patch from Fedora
 +* Wed Apr 18 2007 Kristian H$(D)L(Bgsberg <krh@redhat.com> - 0.5.9-5
 +- Update firewire prober to use correct ioctl codes.
- import hal-0.5.9-fixes.patch from Fedora
 +* Thu Apr 12 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-3
 +- Add patches from 0.5.9 stable branch

* Mon Apr 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-9m)
- add eject.patch for eject-2.1.5-1m

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.9-1m)
- version 0.5.9
- import hal-info
- remove merged patches

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-8m)
- split hal package into hal and hal-libs
- remove initdir.patch and use "make install initddir=/etc/init.d"
- update hal-device-manager.desktop
- sort %%files

* Mon Feb 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-7m)
- hal-devel Requires: pkgconfig

* Tue Feb  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-6m)
- import hal-alignment.patch from Fedora Core devel
- import hal-0.5.8.1-remove-link-not-remove.patch from Fedora Core devel
 +* Tue Nov 14 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-5
 +- Alignment fixes on ia64; Add patch fixing to work with D-Bus 1.0
- import hal-0.5.8.1-prefer-pm-utils.patch and hal-0.5.8.1-fixdbus.patch from cooker
 +* Tue Dec 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-4mdv2007.1
 ++ Revision: 99698
 +  Patch45 (blino): prefer pm-utils when available
 +  Patch46 (git): fix dbus 1.0 support
- import hal-fixumountcrash.patch and hal-fixdbuscpufreq.patch from cooker
 +* Thu Jan 04 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-7mdv2007.1
 ++ Revision: 104133
 +- Patch49 (Andrey): fix crash on umount (Mdv bug #27333)
 +- Patch50 (GIT): handle dbus restart for cpufreq
- import hal-allow_uid_for_ntfs.patch from cooker
 +* Tue Jan 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.8.1-6mdv2007.1
 ++ Revision: 103348
 +- Patch48 (SUSE): allow "uid" for NTFS partitions

* Mon Feb  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8.1-5m)
- roll back dbus-0.92

* Mon Feb  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8.1-4m)
- rebuild against dbus-1.0.2

* Wed Jan 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-3m)
- modify hal-device-manager.desktop

* Mon Jan 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-2m)
- update to 0.5.8.1 again
- import stat-devicefile-not-mountpoint.patch from Fedora Core
- import dont-crash-on-cdrom-drives.patch from Fedora Core
 +* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-1
 +- patch for correctly detecting FUSE mounts (e.g. ntfs-fuse)
 +- patch for not crashing on optical drives w/o write capabilities
- import fixppc.patch from Fedora Core
- import partutil-fix.patch from Fedora Core
 +* Wed Oct 04 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-3
 +- Fix whether some PPC boxes can suspend, fixes #208388
 +- Fix a crasher in partition table probing code, should fix #206669
- import hal-device-manager.desktop from Fedora Core

* Thu Jan  4 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildRequires: dbus-glib >= 0.71 which is checked by the
  configure script

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7.1-2m)
- back to 0.5.7.1 for kdebase, konqueror couldn't detect harddisk drives (0.5.8.1-1m)
- import hal-0.5.7.1-sr-driver.patch from gentoo-x86-portage
- SATA and SCSI DVD/CD drives are working now
 +16 Sep 2006; Doug Goldstein <cardoe@gentoo.org>
 ++files/hal-0.5.7.1-sr-driver.patch, +hal-0.5.7.1-r1.ebuild:
 +patch to fix sr driver based drives. bug #147598

* Wed Dec 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.8.1-1m)
- update to 0.5.8.1
- remove merged dbus.patch
- --disable-policy-kit

* Wed Dec 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.7.1-1m)
- update to 0.5.7.1

* Sat Sep  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-5m)
- back to 0.5.7 for SATA and SCSI DVD/CD drives

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7.1-1m)
- update to 0.5.7.1
- add patch1 for dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.7-4m)
- rebuild against expat-2.0.0-1m

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.7-3m)
- rebuild against dbus-0.61

* Sat Apr  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.7-2m)
- clean up spec file

* Fri Apr  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7
- use --with-hwdata=%{_datadir}/hwdata

* Fri Dec 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.5.1-1m)
- sync with fc-devel

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-2m)
- revise %%files section

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.5.4-1m)
- version 0.5.4

* Sat Mar  5 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.7-1m)
- update to 0.4.7
- add Patch1: hal-0.4.7-initdir.patch
- delete --with-init-scripts=redhat from configure

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.4.0-2m)
- cups-config-daemon belongs to hal-cups-utils.

* Fri Jan 21 2005 Toru Hoshina <t@momonga-linux.org>
- (0.4.0-1m)
- import from FC3.

* Thu Oct 28 2004 David Zeuthen <davidz@redhat,com> 0.4.0-10
- Allow adding SCSI optical drives to the /etc/fstab file (#137364)
- Fix typo where 'async' was used instead of 'sync' (#137456)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-9
- Rebuilt

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-8
- Forgot to add some diffs in hal-0.4.0-pcmcia-net-support.patch

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-7
- Change default policy such that non-hotpluggable fixed disks are not
  added to the /etc/fstab file because a) ATARAID detection in hal is
  incomplete (e.g. RAID members from ATARAID controllers might be added
  to /etc/fstab); and b) default install wont corrupt multiboot 
  systems on fixed drives (#137072)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat,com> 0.4.0-6
- Fix hotplug timeout handling (#136626)
- Detect ATARAID devices and do not add /etc/fstab entry for them
- Probe for ext3 before ntfs (#136966)
- Use fstype 'auto' for optical drives instead of 'iso9660,udf'
- Properly detect wireless ethernet devices  (#136591)
- Support 16-bit PCMCIA networking devices (by Dan Williams) (#136658)

* Tue Oct 19 2004 David Zeuthen <davidz@redhat,com> 0.4.0-5
- Make hal work with PCMCIA IDE hotpluggable devices (#133943)
- Fixup URL listed from rpm -qi (#136396)
- Add Portuguese translations for hal
- Fix addition of Russian and Hungarian translations

* Mon Oct 18 2004 David Zeuthen <davidz@redhat.com> 0.4.0-4
- Make hald cope with missing hotplug events from buggy drivers (#135202)
- Fix the order of mount options in fstab-sync (#136191)
- Allow x86 legacy floppy drives in default policy (#133777)
- Fix fstab-sync crashing without any options and not run from hald (#136214)
- man page for fstab-sync references non-existing files (#136026)
- Add Russian translations for hal (#135853)
- Add Hungarian translations for hal

* Fri Oct 15 2004 David Zeuthen <davidz@redhat.com> 0.4.0-3
- Fix bad use of O_NONBLOCK as the 2.6.8-1.624 kernel exposes this (#135886)
- Never use the UUID as mount point candidate in the default policy 
  as it is unfriendly (#135907)
- Fix a trivial bug in fstab-sync so the syslog messages actually expose
  the device name instead of just the word foo

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-2
- Fix issue with fstab-sync not cleaning /etc/fstab on startup

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-1
- Update to upstream stable version 0.4.0
- Remove patch for libhal shutdown since that is now upstream
- fstab-sync: man page, adds comment in /etc/fstab pointing to man page

* Fri Oct 01 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-3
- Fix a bug so libhal actually invoke callback functions when needed

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.98.cvs20040929-2
- Use "user" mount flag for now until "pamconsole" flag gets into mount

* Wed Sep 29 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-1
- Update to upstream CVS version
- Enable libselinux again

* Mon Sep 27 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040927-1
- Update to upstream CVS version

* Fri Sep 24 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040923-1
- Update to upstream CVS release
- Include libhal-storage library
- Should close bug #132876

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-4
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-3
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-2
- Temporarily disable explicit requirement for libselinux

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-1
- Update to upstream release 0.2.98. 
- Use --with-pid-file so we don't depend on /etc/redhat-release

* Wed Sep 01 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040901-1
- Update to upstream CVS HEAD

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-3
- Add UID for haldaemon user

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-2
- Rebuilt with a newer snapshot.

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-3
- Rebuilt

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-2
- Rebuilt
- Closes RH Bug #130971

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-1
- Update to upstream CVS HEAD. 
- Should close RH Bug #130588

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-3
- Rebuilt

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-2
- Apply a patch so hald doesn't hang on startup.

* Mon Aug 23 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-1
- Update to upstream CVS HEAD
- Remove symlinking of fstab-sync from specfile since this is now being
  done in the package

* Mon Aug 23 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- change the %%define names to not use "-"

* Thu Aug 19 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040819-1
- Update to upstream CVS HEAD
- Remove suid patch as it is fixed upstream
- Fix some dependency issues (RH Bug #130202)

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.97-2
- Add stopgap patch to remove suid from mount flags (RH Bug #130290)

* Mon Aug 16 2004 David Zeuthen <davidz@redhat.com> 0.2.97-1
- update to upstream release 0.2.97
- use kudzu option in fstab-sync since updfstab is now disabled

* Thu Aug 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.96-2
- fixed Requires lines to use %{} instead of ${}
- made dbus related requires lines use the = condition instead of =<
  because the dbus API is still in flux

* Thu Aug 12 2004 David Zeuthen <davidz@redhat.com> 0.2.96
- Update to upstream release 0.2.96
- Symlink fstab-sync into /etc/hal/device.d on install

* Fri Aug 06 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-2
- Base hal package no longer requires python

* Mon Aug 02 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-1
- Update to CVS head
- Remove Dan's patches as they were commited to CVS

* Fri Jul 30 2004 Dan Williams <dcbw@redhat.com> 0.2.93.cvs.20040712-2
- Fix netlink sockets pointer arithmetic bug

* Mon Jul 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.93.cvs.20040712-1
- Update to new CVS version as of 7-12-2004

* Fri Jun 25 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-2
- take out fstab-update.sh from install
- add to rawhide
 
* Fri Jun 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-1 
- update to CVS head as of 6-11-2004 which contains dcbw's 
  network link status fix 

* Wed Jun 9 2004 Ray Strode <rstrode@redhat.com> 0.2.91.cvs20040527-2
- added dependency on udev

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.91.cvs20040527-1
- update to CVS head as of 5-27-2004 which contains fixes for PCMCIA
  and wireless network devices.

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-3
- added hal-0.2.90.cvs20040511.callbackscripts.patch which installs 
  the file system mounting script in /etc/hal/device.d

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-2
- added the %{_sysconfigdir}/hal directory tree to %files 

* Tue May 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-1
- update to CVS head as of 5-11-2004

* Wed May 5 2004 Christopher Blizzard <blizzard@redhat.com> 0.2.90-2
- Install hal.dev from /etc/dev.d/default/

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90-1
- upstream update

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2-1 
- initial checkin to package repository
- added dependency to the dbus-python package
- added %{_libexecdir}/hal.dev to teh %files section
